Skip to main content

Lightning Payment Gateway API (v1)

Download OpenAPI specification:Download

Bitcoin Lightning Network payment gateway for .NET e-commerce platforms

Agent

/api/agents/register

Authorizations:
ApiKey
Request Body schema:
pubkey
required
string = 64 characters
name
string or null [ 0 .. 200 ] characters
description
string or null [ 0 .. 1000 ] characters

Responses

Request samples

Content type
{
  • "pubkey": "stringstringstringstringstringstringstringstringstringstringstri",
  • "name": "string",
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "id": 0,
  • "pubkey": "string",
  • "name": "string",
  • "description": "string",
  • "isActive": true,
  • "isVerified": true,
  • "verifiedAt": "2019-08-24T14:15:22Z",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "totalRequests": 0,
  • "totalRevenueSats": 0,
  • "activeAgreements": 0
}

/api/agents/challenge

Authorizations:
ApiKey
query Parameters
pubkey
string

Responses

Response samples

Content type
application/json
{
  • "challenge": "string",
  • "pubkey": "string",
  • "expiresInSeconds": 0
}

/api/agents/verify

Authorizations:
ApiKey
Request Body schema:
pubkey
required
string = 64 characters
challenge
required
string = 64 characters
signature
required
string = 128 characters

Responses

Request samples

Content type
{
  • "pubkey": "stringstringstringstringstringstringstringstringstringstringstri",
  • "challenge": "stringstringstringstringstringstringstringstringstringstringstri",
  • "signature": "stringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringstringst"
}

Response samples

Content type
application/json
{
  • "pubkey": "string",
  • "isVerified": true,
  • "verifiedAt": "2019-08-24T14:15:22Z",
  • "message": "string"
}

/api/agents

Authorizations:
ApiKey

Responses

Response samples

Content type
application/json
{
  • "agents": [
    ],
  • "total": 0
}

/api/agents/{pubkey}

Authorizations:
ApiKey
path Parameters
pubkey
required
string

Responses

Response samples

Content type
application/json
{
  • "id": 0,
  • "pubkey": "string",
  • "name": "string",
  • "description": "string",
  • "isActive": true,
  • "isVerified": true,
  • "verifiedAt": "2019-08-24T14:15:22Z",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "totalRequests": 0,
  • "totalRevenueSats": 0,
  • "activeAgreements": 0
}

/api/agents/capabilities

Authorizations:
ApiKey
query Parameters
category
string
q
string
hashtags
string
limit
integer <int32>
Default: 20

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "total": 0
}

/api/agents/{pubkey}/stats

Authorizations:
ApiKey
path Parameters
pubkey
required
string

Responses

Response samples

Content type
application/json
{
  • "pubkey": "string",
  • "name": "string",
  • "totalRequests": 0,
  • "totalRevenueSats": 0,
  • "activeAgreements": 0,
  • "averageRevenuePerRequest": 0.1,
  • "isActive": true,
  • "registeredAt": "2019-08-24T14:15:22Z",
  • "lastUpdated": "2019-08-24T14:15:22Z"
}

Checkout

/api/checkout/products

Authorizations:
ApiKey

Responses

/api/checkout/products/{productId}

Authorizations:
ApiKey
path Parameters
productId
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

CheckoutStatus

/checkout/{invoiceId}/status

Authorizations:
ApiKey
path Parameters
invoiceId
required
string

Responses

Response samples

Content type
application/json
{
  • "invoiceId": "string",
  • "status": "string",
  • "amount": 0.1,
  • "currency": "string",
  • "lightningInvoice": "string",
  • "expiresAt": "2019-08-24T14:15:22Z",
  • "isDemo": true,
  • "satsAmount": 0
}

L402

/api/l402/demo

Authorizations:
ApiKey

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/api/l402/premium-data

Authorizations:
ApiKey

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/api/l402/pricing

Authorizations:
ApiKey

Responses

/api/l402/status

Authorizations:
ApiKey

Responses

L402Challenge

/api/l402/challenges

Authorizations:
ApiKey
Request Body schema:
resource
required
string non-empty
priceSats
required
integer <int64> >= 1
description
string or null

Responses

Request samples

Content type
{
  • "resource": "string",
  • "priceSats": 1,
  • "description": "string"
}

Response samples

Content type
application/json
{
  • "invoice": "string",
  • "macaroon": "string",
  • "paymentHash": "string",
  • "expiresAt": "2019-08-24T14:15:22Z",
  • "resource": "string",
  • "priceSats": 0,
  • "mppChallenge": "string"
}

/api/l402/challenges/verify

Authorizations:
ApiKey
Request Body schema:
macaroon
string or null
preimage
required
string non-empty

Responses

Request samples

Content type
{
  • "macaroon": "string",
  • "preimage": "string"
}

Response samples

Content type
application/json
{
  • "valid": true,
  • "resource": "string",
  • "merchantId": 0,
  • "amountSats": 0,
  • "paymentHash": "string",
  • "error": "string"
}

L402Content

/api/l402/content

Authorizations:
ApiKey

Responses

/api/l402/content/{slug}

Authorizations:
ApiKey
path Parameters
slug
required
string

Responses

/api/l402/content/bundle

Authorizations:
ApiKey

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

L402Proxy

/l402/proxy/{proxyId}/.well-known/l402-manifest.json

Authorizations:
ApiKey
path Parameters
proxyId
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/l402/proxy/{proxyId}/{path}

Authorizations:
ApiKey
path Parameters
proxyId
required
string
path
required
string

Responses

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

L402Test

/l402/test/ping

Authorizations:
ApiKey

Responses

LightningEnable.Api

/openapi.json

Authorizations:
ApiKey

Responses

/privacy

Authorizations:
ApiKey

Responses

/terms

Authorizations:
ApiKey

Responses

ManifestRegistry

/api/manifests/registry

Authorizations:
ApiKey
query Parameters
q
string
category
string
page
integer <int32>
Default: 1
pageSize
integer <int32>
Default: 20

Responses

Response samples

Content type
application/json
{
  • "items": [
    ],
  • "total": 0,
  • "page": 0,
  • "pageSize": 0
}

/api/manifests/validate

Authorizations:
ApiKey
Request Body schema:
any

Responses

Request samples

Content type
null

Response samples

Content type
application/json
{
  • "valid": true,
  • "errors": [
    ]
}

McpVersion

/api/mcp/version-check

Authorizations:
ApiKey
query Parameters
currentVersion
string

Responses

ShopifyStore

/api/shopify/{slug}/catalog

Authorizations:
ApiKey
path Parameters
slug
required
string

Responses

Response samples

Content type
application/json
{
  • "storeName": "string",
  • "slug": "string",
  • "shipping": {
    },
  • "products": [
    ]
}

/api/shopify/{slug}/checkout

Authorizations:
ApiKey
path Parameters
slug
required
string
Request Body schema:
required
Array of objects (ShopifyCheckoutItem) [ 1 .. 10 ] items
Array ([ 1 .. 10 ] items)
variantId
required
integer <int64>
quantity
integer <int32> [ 1 .. 10 ]

Responses

Request samples

Content type
{
  • "items": [
    ]
}

Response samples

Content type
application/json
{
  • "type": "string",
  • "title": "string",
  • "status": 0,
  • "detail": "string",
  • "instance": "string",
  • "property1": null,
  • "property2": null
}

/api/shopify/{slug}/claim

Authorizations:
ApiKey
path Parameters
slug
required
string
Request Body schema:
claimToken
required
string [ 1 .. 20 ] characters
email
required
string <email> [ 1 .. 200 ] characters
required
object (ShopifyShippingAddress)

Responses

Request samples

Content type
{
  • "claimToken": "string",
  • "email": "user@example.com",
  • "shippingAddress": {
    }
}

Response samples

Content type
application/json
{
  • "orderId": "string",
  • "status": "string",
  • "shopifyOrderNumber": "string",
  • "claimPageUrl": "string",
  • "message": "string"
}

/api/shopify/{slug}/orders/{orderId}

Authorizations:
ApiKey
path Parameters
slug
required
string
orderId
required
string
query Parameters
claimToken
string

Responses

Response samples

Content type
application/json
{
  • "orderId": "string",
  • "status": "string",
  • "totalUsd": 0.1,
  • "paidSats": 0,
  • "shopifyOrderNumber": "string",
  • "trackingNumber": "string",
  • "trackingCarrier": "string",
  • "trackingUrl": "string",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "paidAt": "2019-08-24T14:15:22Z",
  • "shippedAt": "2019-08-24T14:15:22Z"
}

Stats

/api/stats/downloads

Authorizations:
ApiKey

Responses

Response samples

Content type
No sample

/api/stats/shopify

Authorizations:
ApiKey

Responses

Response samples

Content type
No sample

/api/stats/l402

Authorizations:
ApiKey

Responses

Response samples

Content type
No sample